/* File Name: BVCApp.h */

/*
************************************************************************
************************************************************************

Copyright © 1998 Multimedia Integration Products, All Rights Reserved

This file is for public release.

This file is for reference use only. Any redistribution must include
the entire BeVC package, including source code. If you use this code
please notify j-onorato@uchicago.edu or jwhamil@students.wisc.edu

************************************************************************

************************************************************************
************************************************************************ */


#pragma once
#include "SourceControlWindow.h"
#include "RepositoryLooper.h"
#include "Preferences.h"
#include "ChangePasswordWindow.h"

class BVCApp : public BApplication 
{
public:
					BVCApp();
					~BVCApp();
	
	virtual void	MessageReceived(BMessage * message);
	virtual	bool	QuitRequested();
	
private:
	SourceControlWindow		* scWindow;
	RepositoryLooper		* repository;
	
	Preferences				* prefsObject;
	PreferenceSet			* prefsSet;
	
	ChangePasswordWindow	* chPasswdWindow;
};

