/* File Name: ChangePasswordWindow.h */

/*
************************************************************************
************************************************************************

Copyright © 1998 Multimedia Integration Products, All Rights Reserved

This file is for public release.

This file is for reference use only. Any redistribution must include
the entire BeVC package, including source code. If you use this code
please notify j-onorato@uchicago.edu or jwhamil@students.wisc.edu

************************************************************************

************************************************************************
************************************************************************ */


#pragma once


class ChangePasswordWindow : public BWindow 
{
public:
					ChangePasswordWindow();
					~ChangePasswordWindow();
					
	virtual void	MessageReceived(BMessage * message);
	virtual	bool	QuitRequested();
	
private:
	char			currentUserName[B_OS_NAME_LENGTH];
	BView			* winView;
	
	BPopUpMenu		* userNameMenu;
	void			FillUserNameMenu();
	
	BMenuField		* userNameMenuField;
	BTextControl	* passwordView;
	BCheckBox		* userEnabled;
	
	void			FillInInfo();
};

